<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-success px-3 py-2" (click)="newRow(); openModal(modal, 'Motivos y/o Razones');">
    <i class="fas fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-danger ml-1 px-4 py-2" (click)="printPDF()">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">
      <kendo-grid [kendoGridBinding]="dataGrid" [filter]="filter" [filterable]="true" [selectable]="true"
        [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" [groupable]="true"
        (edit)="editRow($event); openModal(modal, 'Motivos y/o Razones')" (remove)="deleteRow($event)"
        style="height: 69vh">
        <ng-container *ngIf="dataGrid">
          <ng-container *ngFor="let item of gridFields">
            <kendo-grid-column [field]="item.field" [title]="item.title" [width]="item.width"
              [filterable]="item.filtro"></kendo-grid-column>
          </ng-container>
          <kendo-grid-column field="ptarifa" title="Tarifa" width="100">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{dataItem.ptarifa ? 'Si' : 'No'}}
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="Inactivo" title="Inactivo" width="120">
            <ng-template kendoGridFilterCellTemplate>
              <kendo-switch (valueChange)="switchChange($event)" offLabel="No" [checked]="checked" onLabel="Si">
              </kendo-switch>
            </ng-template>
            <ng-template kendoGridCellTemplate let-dataItem>
              <input type="checkbox" [checked]="dataItem.Inactivo" disabled />
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-command-column title="Actions" width="220">
            <ng-template kendoGridCellTemplate let-isNew="isNew">
              <button kendoGridEditCommand [primary]="true">Editar</button>
              <button kendoGridRemoveCommand>Eliminar</button>
            </ng-template>
          </kendo-grid-command-column>
        </ng-container>
        <ng-template kendoGridNoRecordsTemplate>
          {{ noRecords }}
        </ng-template>
      </kendo-grid>
  </div>
  <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>
</div>


<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="row">
      <form [formGroup]="myFormGroup">
        <div class="row">
          <div class="col-12">
            <label for="tmotivo">Tipo</label>
            <select class="form-control" name="tmotivo" [(ngModel)]="myFormGroup.value.tmotivo"
              [attr.disabled]="flagEdit ? '' : null" formControlName="tmotivo">
              <option value="">Seleccione</option>
              <option *ngFor="let item of tipoMotRaz" [value]="item.value">{{ item.desc }}</option>
            </select>
          </div>

          <div class="col-12">
            <label class="mt-1" for="Motivo">Motivo</label>
            <input type="text" class="form-control" name="Motivo" [(ngModel)]="myFormGroup.value.Motivo"
              formControlName="Motivo" [readonly]="flagEdit" maxlength="10" pattern="[a-zA-Z0-9 ]*">
          </div>

          <div class="col-12">
            <label class="mt-1" for="Descripcion">Descripción</label>
            <input type="text" class="form-control" name="Descripcion" [(ngModel)]="myFormGroup.value.Descripcion"
              formControlName="Descripcion" maxlength="40" pattern="[a-zA-Z0-9 ]*">
          </div>
          <div class="col-6">
            <label for="ptarifa" class="ml-2 mt-1 w-100">Tarifa</label>
            <kendo-switch class="ml-2" name="ptarifa" [(ngModel)]="myFormGroup.value.ptarifa" formControlName="ptarifa"
              [onLabel]="'Si'" [offLabel]="'No'">
            </kendo-switch>
          </div>

          <div class="col-6">
            <label for="Inactivo" class="ml-2 mt-1 w-100">Inactivo</label>
            <kendo-switch class="ml-2" name="Inactivo" [(ngModel)]="myFormGroup.value.Inactivo"
              formControlName="Inactivo" [onLabel]="'Si'" [offLabel]="'No'">
            </kendo-switch>
          </div>
        </div>
      </form>
    </div>
  </div>
  <div class="modal-footer">
    <button class="btn btn-success" (click)="guardarForm(); c();" [disabled]="myFormGroup.status === 'INVALID'">
      <i class="fas fa-save mr-2"></i>Guardar
    </button>
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>